# OpalPluginLIDRegistration Class Reference

`#include <lidpluginmgr.h>`

Inheritance diagram for OpalPluginLIDRegistration:

[legend]
Collaboration diagram for OpalPluginLIDRegistration:
[legend]

## Public Member Functions

| OpalPluginLIDRegistration (const PluginLID_Definition &definition)
OpalLineInterfaceDevice * | Create (void *param) const

## Constructor & Destructor Documentation

OpalPluginLIDRegistration::OpalPluginLIDRegistration | ( | const PluginLID_Definition & | definition | ) |

## Member Function Documentation

OpalLineInterfaceDevice* OpalPluginLIDRegistration::Create | ( | void * | param | ) | const`[virtual]`

Create an instance of the transcoder implementation.

Implements OpalLIDRegistration.

The documentation for this class was generated from the following file:

- lidpluginmgr.h